Subject: Re: Portability

From: Zheng Gengbing <[email-masked]>
Date: Wed, 22 May 1996 10:50:58 +0800 (EAT)

On Tue, 21 May 1996, Guansong Zhang wrote:

> On May 20, 11:11am, Zheng Gengbing wrote:
> > Subject: Re: Putting our project onto internet
> > On Sun, 19 May 1996, Guansong Zhang wrote:
> >
> > > 8 portibality.
> > >
> > > The real work on this is not started, the configure and makefile so far are
> > > only as a preparation for this. When we put the project on internet, at
> least
> > > we have to let several platform produce the same results for our testsuite.
> > >
> >
> >
> >
> > 	I found flex can not work on our lexer and I don't know the reason
> > yet . But the problem occured when input and unput are called in lexer when
> > to decide if return FUNNAME or NAME .
> > 	And now after I modified some places in f90.y , bison can successfully
> > compile yacc files without any warning and errors. But I have not tested the
> > result of runing .
> >
> >
> 
> Well, since lexer may still need to improve a little, I suggest we start the
> portability work with gcc.
> 
> (I assume HIT has already got gcc and gdb.)
> 
> Right now, only unparse is used gcc to compile (With some warnings), lets try
> to use gcc for all subdir.
> 
> In fact, after I comment out one line about definition yytext in hpflexer.l,
> the latest 1.53 can be made by gcc on RS6000. (lex and yacc are not changed.)
> 

	can you tell me which line did you commented out ?
	I had already done the test before . What I found is that gcc can
succeesfully compile all the .c files without any change , and the test 
result is the same . 
I suggest we use @CC@ in Makefile.in to find gcc .

> But when I make check, the result is a little different. One problem exist in
> format statement, which happens to be a bug I mentioned before. (I think this
> is the only bug remained in test90 now.)

	I didnot find any different . The format problem is always there .

> 
> So pleace check this if you have time.
> 
> 
> Guansong
> 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************